Package Details: i3status-git 2.12.r83.g49461ac-1

Git Clone URL: https://aur.archlinux.org/i3status-git.git (read-only)
Package Base: i3status-git
Description: Generates status bar to use with dzen2 or wmii
Upstream URL: http://i3wm.org/i3status/
Licenses: BSD
Groups: i3-vcs
Conflicts: i3status
Provides: i3status
Submitter: Atsutane
Maintainer: badboy (Airblader)
Last Packager: Airblader
Votes: 42
Popularity: 0.018755
First Submitted: 2009-05-01 11:08
Last Updated: 2019-02-11 08:30

Required by (10)

Sources (1)

Latest Comments

1 2 Next › Last »

orestisf commented on 2019-02-10 13:22

@badboy It builds successfully with xmlto for me

badboy commented on 2019-02-10 12:43

Yup, apparently it's missing a new dependency. But now the build system of i3status is also half-broken, so I need to wait for that to get fixed before I can update the PKGBUILD

JoeCool commented on 2019-02-08 18:30

EDIT: has been fixed! Thanks, kind maintainer.

Hmm, It stopped building:

CC src/i3status-print_wireless_info.o
CC src/i3status-process_runs.o
CC src/i3status-pulse.o
CCLD i3status
GEN man/i3status.xml
GEN man/i3status.1
man: invalid option -- 'o'
Try 'man --help' or 'man --usage' for more information.
make[1]: *** [Makefile:1952: man/i3status.1] Error 1

craftyguy commented on 2016-01-25 20:16

Ah, I've seen PKGBUILDs for -git packages in the past that targetted specific commits or tags, and did not clone from the tip of master. I wrongly assumed this package was implemented that way (I'll admit I did not look at the PKGBUILD...). Sorry!

badboy commented on 2016-01-25 19:23

Hey @craftyguy, the way I look at it: it's a git package anyway, so just rebuilding will always give you an up to date version (I don't think a new aur version is needed for every small version change in upstream for git-tracking packages), but I will push a new shiny version which has "2.10" in its version number so everyone, even those with tools that don't touch "-git" packages otherwise get all the new awesomeness :)

oberon2007 commented on 2015-12-15 12:08

Looks like libnl needs to be added as a dependency!

badboy commented on 2015-04-04 09:22

Thanks, lahwaacz, updated the package.

lahwaacz commented on 2015-04-04 08:52

Since https://github.com/i3/i3status/commit/9abe0a9d593548c021c1ab8c3548578bdd58ee32 there is a new dependency: libpulse

badboy commented on 2015-03-24 23:23

@Airblader: Why did you flag it out-of-date? This is a git package, it still builds fine for me.

Atsutane commented on 2013-06-20 20:30

Thanks for the hint. I removed it completely as i3 ships i3bar since quite some time now.